// 数字格式化
// 时间格式化

exports.friendTime = () => {
  // 刚刚
  // 五分钟前
  // N小时前
  // N天前
  // N月前
  // N年前
};

// 对金额进行科学计数法表示
exports.scienceMoney = () => {};

// 科学计数法表示数字
exports.scienceNumber = () => {

};
// 缩写数字 使用 10w 4k 表示
exports.shortNumber = () => {

};

// 字段名处理
// 驼峰命名
// 剔除首字母F
exports.fieldName = () => {

};

exports.toNum = (str) => {
    if (isNaN(str))
        return 0;
    else
        return str.toString().replace(/\,|\￥/g, "");
};

exports.getQianFenFuString = (num) => {
    if (num == undefined || num == null || num == "") {
        return "0";
    } else {
        num = parseFloat(this.toNum(num)).toFixed(0).toString().split(".");  
        num[0] = num[0].toString().replace(new RegExp('(\\d)(?=(\\d{3})+$)','ig'),"$1,");  
        return num.join(".");
    }
};

exports.getRMBString = (num) => {
    if (num == undefined || num == null || num == "") {
        return "￥0.0";
    } else {
        num = parseFloat(this.toNum(num)).toFixed(0).toString().split(".");  
        num[0] = num[0].toString().replace(new RegExp('(\\d)(?=(\\d{3})+$)','ig'),"$1,");  
        return "￥" + num.join(".");
    }
};

exports.getDollarString = (num) => {
    if (num == undefined || num == null || num == "") {
        return "$0.0";
    } else {
        num = parseFloat(this.toNum(num)).toFixed(0).toString().split(".");  
        num[0] = num[0].toString().replace(new RegExp('(\\d)(?=(\\d{3})+$)','ig'),"$1,");  
        return "$" + num.join(".");
    }
};

exports.getTwodecimalString = (num) => {
    if (num == undefined || num == null || num == "") {
        return "0.00";
    } else {
        num = parseFloat(this.toNum(num)).toFixed(2).toString().split(".");  
        num[0] = num[0].toString().replace(new RegExp('(\\d)(?=(\\d{3})+$)','ig'),"$1,");
       
        return num.join(".");
    }
};

exports.getPercentString = (num) => {
    if (num == undefined || num == null || num == "") {
        return "0.00%";
    } else {
        return (Math.round(this.toNum(num) * 10000)/100).toFixed(2) + '%';;
    }   
};
